%define upstream_name    CPAN-Meta
%define upstream_version 2.120630

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Validate CPAN distribution metadata structures
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::YAML) >= 0.2.0
BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp) >= 0.200.0
BuildRequires: perl(IO::Dir)
BuildRequires: perl(JSON::PP) >= 2.271.30
BuildRequires: perl(Parse::CPAN::Meta) >= 1.440.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(version) >= 0.880.0
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Software distributions released to the CPAN include a _META.json_ or, for
older distributions, _META.yml_, which describes the distribution, its
contents, and the requirements for building and installing the
distribution. The data structure stored in the _META.json_ file is
described in the CPAN::Meta::Spec manpage.

CPAN::Meta provides a simple class to represent this distribution metadata
(or _distmeta_), along with some helpful methods for interrogating that
data.

The documentation below is only for the methods of the CPAN::Meta object.
For information on the meaning of individual fields, consult the spec.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Tue Mar 06 2012 jquelin <jquelin> 2.120.630-1.mga2
+ Revision: 219772
- update to 2.120630

* Wed Feb 22 2012 kharec <kharec> 2.120.351-1.mga2
+ Revision: 211941
- update to 2.120351

* Wed Jan 04 2012 jquelin <jquelin> 2.113.640-1.mga2
+ Revision: 190551
- update to 2.113640

* Fri Nov 04 2011 jquelin <jquelin> 2.112.621-2.mga2
+ Revision: 162786
- take priority over module bundled with perl 5.14.2

* Mon Sep 26 2011 jquelin <jquelin> 2.112.621-1.mga2
+ Revision: 148005
- update to 2.112621
- update to 2.112150

* Wed Jun 22 2011 jquelin <jquelin> 2.110.930-2.mga2
+ Revision: 112049
- perl 5.14 rebuild

* Sun Apr 03 2011 jquelin <jquelin> 2.110.930-1.mga1
+ Revision: 80038
- update to 2.110930

* Thu Mar 10 2011 jquelin <jquelin> 2.110.580-1.mga1
+ Revision: 67454
- update to 2.110580
- update to 2.110550
- rebuild
- update to 2.110440

* Sun Jan 23 2011 jquelin <jquelin> 2.102.400-1.mga1
+ Revision: 33597
- mageia rebuild
- imported package perl-CPAN-Meta

